%define fontname smc
%define fontdir %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

Name:	%{fontname}-fonts
Version:	04.1
Release:	1%{?dist}
Summary:	Open Type Fonts for Malayalam script
Group:	User Interface/X
License:	GPLv3+ with exceptions and GPLv2+ with exceptions and GPLv2+ and  GPLv2
URL:	http://savannah.nongnu.org/projects/smc
Source:	http://download.savannah.nongnu.org/releases/smc/fonts/malayalam-fonts-%{version}.zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The smc-fonts package contains fonts for the display of
traditional and new Malayalam Script.

%package dyuthi
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
License: GPLv3+ with exceptions
%description dyuthi
The smc-fonts-dyuthi package contains fonts for the display of
traditional Malayalam Scripts.

%package meera 
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
License: GPLv2+ with exceptions
%description meera
The smc-fonts-meera package contains fonts for the display of
traditional Malayalam Scripts.


%package rachana 
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
License: GPLv2+
%description rachana
The smc-fonts-rachana package contains fonts for the display of
traditional Malayalam Scripts.


%package raghumalayalam
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
License: GPLv2
%description raghumalayalam
The smc-fonts-malayalam package contains fonts for the display of
new Malayalam Scripts.

%package suruma
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
License: GPLv3+ with exceptions
%description suruma
The smc-fonts-suruma package contains fonts for the display of
traditional Malayalam Scripts.

%package kalyani
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X
License: GPLv3+ with exceptions
%description kalyani
The smc-fonts-suruma package contains fonts for the display of
new Malayalam Scripts.

%package anjalioldlipi
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X
License: GPLv3+ with exceptions
%description anjalioldlipi
The smc-fonts-suruma package contains fonts for the display of
traditional Malayalam Scripts.

%prep
%setup -q -n malayalam-fonts-04

%build
echo "Nothing to do in Build."

%install

rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf  %{buildroot}%{fontdir}
install -m 0755 -d %{buildroot}%{fontconfdir} 
install -m 0644 -p $RPM_BUILD_DIR/malayalam-fonts-04/malayalam-fonts.conf %{buildroot}%{fontconfdir}/90-%{fontname}.conf

%clean
rm -fr %{buildroot}

%post  dyuthi
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  meera
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  rachana
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  raghumalayalam
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi	

%post  suruma
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  kalyani
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%post  anjalioldlipi
if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun dyuthi
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun meera
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun rachana
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun raghumalayalam
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun suruma
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun kalyani
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

%postun anjalioldlipi
if [ "$1" = "0" ]; then
	if [ -x %{_bindir}/fc-cache ]; then
%{_bindir}/fc-cache -f %{fontdir} || :
	fi
fi

#%{fontdir} is shared by following packages since they all are for malayalam script only
%files dyuthi
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/Dyuthi*.ttf 

%files meera
%defattr(-,root,root,-) 
%doc *.txt 
%config(noreplace) %{fontconfdir}/90-%{fontname}.conf 
%dir %{fontdir}
%{fontdir}/Meera*.ttf 

%files rachana
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/Rachana*.ttf 

%files raghumalayalam
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/RaghuMalayalamSans*.ttf 

%files suruma
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{fontdir}
%{fontdir}/suruma*.ttf 

%files kalyani
%defattr(-,root,root,-)
%doc *.txt
%dir %{fontdir}
%{fontdir}/Kalyani*.ttf

%files anjalioldlipi
%defattr(-,root,root,-)
%doc *.txt
%dir %{fontdir}
%{fontdir}/AnjaliOldLipi.ttf

%changelog
* Tue Jul 29 2008 Pravin Satpute <psatpute@redhat.com> 04.1-1
- new upstream release
- fontconfig rule for size adjustment of Meera is added
- two new fonts kalyani and anjalioldlipi
- bugfix 448078

* Tue Apr 15 2008 Pravin Satpute <psatpute@redhat.com> 04-6
- corrected meera fonts description it is for traditional script

* Tue Apr 15 2008 Pravin Satpute <psatpute@redhat.com> 04-5
- removed -n {fontname}-fonts from all fields

* Mon Apr 14 2008 Pravin Satpute <psatpute@redhat.com> 04-4
- added comment about sharing directory in spec file
- fontdir will be 'smc' only instead of 'smc-fonts' earlier

* Wed Apr 9 2008 Pravin Satpute <psatpute@redhat.com> 04-3
- defattr now comes after files
- s/malayalam/Malayalam in description
- removed '-fonts' from fontdir variable value

* Fri Apr 4 2008 Pravin Satpute <psatpute@redhat.com> 04-2
- done changes in spec file as suggested in review request
- changed variable name from xfontdir to fontdir
 
* Thu Apr 3 2008 Pravin Satpute <psatpute@redhat.com> 04-1 
- initial packaging
